#include "interval_cmath.h"

typedef std2::interval<double> I;

void test(const I& a)
{
  std::cout << "For " << a        << std::endl;
  std::cout << "  acos  -> " << acos (a) << std::endl;
  std::cout << "  asin  -> " << asin (a) << std::endl;
  std::cout << "  atan  -> " << atan (a) << std::endl;
  std::cout << "  cos   -> " << cos  (a) << std::endl;
  std::cout << "  cosh  -> " << cosh (a) << std::endl;
  std::cout << "  exp   -> " << exp  (a) << std::endl;
  std::cout << "  log   -> " << log  (a) << std::endl;
  std::cout << "  log10 -> " << log10(a) << std::endl;
  std::cout << "  sin   -> " << sin  (a) << std::endl;
  std::cout << "  sinh  -> " << sinh (a) << std::endl;
  std::cout << "  tan   -> " << tan  (a) << std::endl;
  std::cout << "  tanh  -> " << tanh (a) << std::endl;
}

int main()
{
  test(I(0., 1.));
  test(I(0., 2.));
  test(I(1., 2.));
  return 0;
}
